[Gta04-owner] Fwd: QtMoko2 again...

H. Nikolaus Schaller hns at goldelico.com
Fri Oct 6 14:50:06 CEST 2017


FYI.

> Anfang der weitergeleiteten Nachricht:
> 
> Von: "H. Nikolaus Schaller" <hns at goldelico.com>
> Betreff: QtMoko2 again...
> Datum: 5. Oktober 2017 um 17:53:17 MESZ
> An: Tinkerphones Community <community at tinkerphones.org>
> 
> Hi,
> I have started to pick up the build process for QtMoko2 [1].
> 
> I now run a Debian (Wheezy) inside VirtualBox (i386).
> 
> The command is simply ./mdeb-qtmoko -vb
> 
> After approx. 8 hours (with heavy use of ccache), compile fails
> with these two lines (amongst 104 MB log):
> 
> dpkg-shlibdeps: error: couldn't find library libamr.so.1 needed by debian/qtmoko-neo/opt/qtmoko/plugins/codecs/libamrrecordplugin.so (ELF format: 'elf32-i386'; RPATH: '')
> dpkg-shlibdeps: error: couldn't find library libtimidity.so.1 needed by debian/qtmoko-neo/opt/qtmoko/plugins/codecs/libtimidityplugin.so (ELF format: 'elf32-i386'; RPATH: '')
> 
> Well, it is easy to understand why the linker can't continue here...
> 
> But it is not at all clear why that happens.
> 
> Well, Debian has a timidity package, but no libtimidity.
> 
> Next, there is a libtimidity source inside of QtMoko2...
> 
> ./src/build-neo/image/lib/libtimidity.so.1
> 
> But there seems to be something wrong, so that it is not found
> bythe linker when trying to build
> 
> debian/qtmoko-neo/opt/qtmoko/plugins/codecs/libtimidityplugin.so
> 
> Any advice how to find the bug in the build recipe or library
> search path?
> 
> BR,
> Nikolaus
> 
> [1]: http://git.goldelico.com/?p=gta04-qtmoko.git;a=tree;f=goldelico;h=adbafe59ea1043c735bb85ec6dd1f77e2831b5a0;hb=39a9a35c951e0a9d77259ca5dee712b46106cdfb



More information about the Gta04-owner mailing list